/invgate-service-management-knowledge | Type: Application | PCID required: Yes
Tools
invgate_service_management_knowledge_create_internal_note
Create internal note Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
author_id | integer | Yes | — | ID of the user creating the note |
description | string | Yes | — | Description of the internal note |
object_id | integer | Yes | — | ID of the related object |
object_type | integer | Yes | — | Type of the related object |
title | string | Yes | — | Title of the internal note |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"author_id": {
"type": "integer",
"description": "ID of the user creating the note"
},
"description": {
"type": "string",
"description": "Description of the internal note"
},
"object_id": {
"type": "integer",
"description": "ID of the related object"
},
"object_type": {
"type": "integer",
"description": "Type of the related object"
},
"title": {
"type": "string",
"description": "Title of the internal note"
}
},
"required": [
"PCID",
"author_id",
"description",
"object_id",
"object_type",
"title"
]
}
invgate_service_management_knowledge_create_kb_article
Create article Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
attachments | any[] | No | — | List of attachments |
author_id | integer | Yes | — | ID of the user creating the article |
category_id | integer | Yes | — | Category ID for the article |
content | string | Yes | — | Content of the article |
description | string | No | — | Short description of the article |
is_private | boolean | No | — | Whether the article is private |
responsible_id | integer | No | — | ID of the responsible user |
title | string | Yes | — | Title of the article |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"attachments": {
"type": "array",
"description": "List of attachments"
},
"author_id": {
"type": "integer",
"description": "ID of the user creating the article"
},
"category_id": {
"type": "integer",
"description": "Category ID for the article"
},
"content": {
"type": "string",
"description": "Content of the article"
},
"description": {
"type": "string",
"description": "Short description of the article"
},
"is_private": {
"type": "boolean",
"description": "Whether the article is private"
},
"responsible_id": {
"type": "integer",
"description": "ID of the responsible user"
},
"title": {
"type": "string",
"description": "Title of the article"
}
},
"required": [
"PCID",
"author_id",
"category_id",
"content",
"title"
]
}
invgate_service_management_knowledge_create_kb_category
Create KB category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
name | string | Yes | — | Name of the category |
parent_id | integer | No | — | Parent category ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"name": {
"type": "string",
"description": "Name of the category"
},
"parent_id": {
"type": "integer",
"description": "Parent category ID"
}
},
"required": [
"PCID",
"name"
]
}
invgate_service_management_knowledge_create_time_tracking_entry
Create time tracking entry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
author_id | integer | Yes | — | ID of the user creating the entry |
category_id | integer | No | — | Time tracking category ID |
date | string | No | — | Date of the tracked work |
description | string | No | — | Description of the work done |
minutes | integer | Yes | — | Number of minutes tracked |
request_id | integer | Yes | — | Request ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"author_id": {
"type": "integer",
"description": "ID of the user creating the entry"
},
"category_id": {
"type": "integer",
"description": "Time tracking category ID"
},
"date": {
"type": "string",
"description": "Date of the tracked work"
},
"description": {
"type": "string",
"description": "Description of the work done"
},
"minutes": {
"type": "integer",
"description": "Number of minutes tracked"
},
"request_id": {
"type": "integer",
"description": "Request ID"
}
},
"required": [
"PCID",
"author_id",
"minutes",
"request_id"
]
}
invgate_service_management_knowledge_delete_internal_note
Delete internal note Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
author_id | integer | Yes | — | ID of the user deleting the note |
id | integer | Yes | — | Internal note ID to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"author_id": {
"type": "integer",
"description": "ID of the user deleting the note"
},
"id": {
"type": "integer",
"description": "Internal note ID to delete"
}
},
"required": [
"PCID",
"author_id",
"id"
]
}
invgate_service_management_knowledge_delete_kb_article
Delete article Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Article ID to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Article ID to delete"
}
},
"required": [
"PCID",
"id"
]
}
invgate_service_management_knowledge_delete_kb_category
Delete KB category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Category ID to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Category ID to delete"
}
},
"required": [
"PCID",
"id"
]
}
invgate_service_management_knowledge_delete_time_tracking_entry
Delete time tracking entry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Time tracking entry ID to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Time tracking entry ID to delete"
}
},
"required": [
"PCID",
"id"
]
}
invgate_service_management_knowledge_get_custom_fields_by_category
Get custom fields by category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
category_id | integer | Yes | — | Category ID to get custom fields for |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"category_id": {
"type": "integer",
"description": "Category ID to get custom fields for"
}
},
"required": [
"PCID",
"category_id"
]
}
invgate_service_management_knowledge_get_internal_notes
Get internal notes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Internal note ID |
object_id | integer | No | — | Filter by related object ID |
object_type | integer | No | — | Filter by related object type |
date_format | string | No | — | Date format for response fields |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Internal note ID"
},
"object_id": {
"type": "integer",
"description": "Filter by related object ID"
},
"object_type": {
"type": "integer",
"description": "Filter by related object type"
},
"date_format": {
"type": "string",
"description": "Date format for response fields"
}
},
"required": [
"PCID",
"id"
]
}
invgate_service_management_knowledge_get_kb_articles_by_ids
Get articles by IDs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ids | string | Yes | — | Comma-separated list of article IDs |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ids": {
"type": "string",
"description": "Comma-separated list of article IDs"
}
},
"required": [
"PCID",
"ids"
]
}
invgate_service_management_knowledge_get_kb_categories_by_ids
Get KB categories by IDs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ids | string | Yes | — | Comma-separated list of category IDs |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ids": {
"type": "string",
"description": "Comma-separated list of category IDs"
}
},
"required": [
"PCID",
"ids"
]
}
invgate_service_management_knowledge_get_system_version
Get system versionShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
invgate_service_management_knowledge_list_all_breaking_news
List all breaking news Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
date_format | string | No | — | Date format for response fields |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"date_format": {
"type": "string",
"description": "Date format for response fields"
}
},
"required": [
"PCID"
]
}
invgate_service_management_knowledge_list_all_custom_fields
List all active custom fieldsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
invgate_service_management_knowledge_list_categories
List categories Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | No | — | Category ID to filter by |
page_size | integer | No | — | Number of results per page |
page | integer | No | — | Page number |
search | string | No | — | Search term to filter categories |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Category ID to filter by"
},
"page_size": {
"type": "integer",
"description": "Number of results per page"
},
"page": {
"type": "integer",
"description": "Page number"
},
"search": {
"type": "string",
"description": "Search term to filter categories"
}
},
"required": [
"PCID"
]
}
invgate_service_management_knowledge_list_kb_articles
List articles Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Maximum number of results to return |
sort_by | string | No | — | Field to sort by |
order_by | string | No | — | Sort order (asc or desc) |
offset | integer | No | — | Offset for pagination |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"sort_by": {
"type": "string",
"description": "Field to sort by"
},
"order_by": {
"type": "string",
"description": "Sort order (asc or desc)"
},
"offset": {
"type": "integer",
"description": "Offset for pagination"
}
},
"required": [
"PCID"
]
}
invgate_service_management_knowledge_list_kb_articles_by_category
List articles by category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Maximum number of results to return |
category_id | integer | Yes | — | Category ID |
visibility | integer | No | — | Visibility filter |
offset | integer | No | — | Offset for pagination |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"category_id": {
"type": "integer",
"description": "Category ID"
},
"visibility": {
"type": "integer",
"description": "Visibility filter"
},
"offset": {
"type": "integer",
"description": "Offset for pagination"
}
},
"required": [
"PCID",
"category_id"
]
}
invgate_service_management_knowledge_list_kb_categories
List KB categoriesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
invgate_service_management_knowledge_list_time_tracking_categories
List time tracking categoriesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
invgate_service_management_knowledge_list_time_tracking_entries
List time tracking entries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
request_id | integer | Yes | — | Request ID |
date_format | string | No | — | Date format for response fields |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"request_id": {
"type": "integer",
"description": "Request ID"
},
"date_format": {
"type": "string",
"description": "Date format for response fields"
}
},
"required": [
"PCID",
"request_id"
]
}
invgate_service_management_knowledge_list_triggers
List triggers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | No | — | Filter by trigger ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Filter by trigger ID"
}
},
"required": [
"PCID"
]
}
invgate_service_management_knowledge_search_kb_articles_by_keywords
Search articles by keywords Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
keywords | string | Yes | — | Keywords to search for |
limit | integer | No | — | Maximum number of results to return |
min_search_scoring | number | No | — | Minimum search relevance score |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"keywords": {
"type": "string",
"description": "Keywords to search for"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"min_search_scoring": {
"type": "number",
"description": "Minimum search relevance score"
}
},
"required": [
"PCID",
"keywords"
]
}
invgate_service_management_knowledge_update_internal_note
Update internal note Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
author_id | integer | Yes | — | ID of the user updating the note |
description | string | No | — | Description of the internal note |
id | integer | Yes | — | Internal note ID |
title | string | No | — | Title of the internal note |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"author_id": {
"type": "integer",
"description": "ID of the user updating the note"
},
"description": {
"type": "string",
"description": "Description of the internal note"
},
"id": {
"type": "integer",
"description": "Internal note ID"
},
"title": {
"type": "string",
"description": "Title of the internal note"
}
},
"required": [
"PCID",
"author_id",
"id"
]
}
invgate_service_management_knowledge_update_kb_article
Update article Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
author_id | integer | Yes | — | ID of the user updating the article |
category_id | integer | No | — | Category ID for the article |
content | string | No | — | Content of the article |
description | string | No | — | Short description of the article |
id | integer | Yes | — | Article ID |
is_private | boolean | No | — | Whether the article is private |
responsible_id | integer | No | — | ID of the responsible user |
title | string | No | — | Title of the article |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"author_id": {
"type": "integer",
"description": "ID of the user updating the article"
},
"category_id": {
"type": "integer",
"description": "Category ID for the article"
},
"content": {
"type": "string",
"description": "Content of the article"
},
"description": {
"type": "string",
"description": "Short description of the article"
},
"id": {
"type": "integer",
"description": "Article ID"
},
"is_private": {
"type": "boolean",
"description": "Whether the article is private"
},
"responsible_id": {
"type": "integer",
"description": "ID of the responsible user"
},
"title": {
"type": "string",
"description": "Title of the article"
}
},
"required": [
"PCID",
"author_id",
"id"
]
}
invgate_service_management_knowledge_update_kb_category
Update KB category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Category ID |
name | string | No | — | Name of the category |
parent_id | integer | No | — | Parent category ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Category ID"
},
"name": {
"type": "string",
"description": "Name of the category"
},
"parent_id": {
"type": "integer",
"description": "Parent category ID"
}
},
"required": [
"PCID",
"id"
]
}

